> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# Update connector file



## OpenAPI

````yaml /api-reference/membrane-api.json put /connectors/{idOrKey}/files/{path}
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /connectors/{idOrKey}/files/{path}:
    put:
      tags:
        - Connectors
      summary: Update connector file
      operationId: putConnectorFile
      parameters:
        - name: idOrKey
          required: true
          in: path
          schema:
            type: string
        - name: path
          required: true
          in: path
          description: Path to the file
          schema:
            type: string
      requestBody:
        required: true
        description: File contents
        content:
          text/plain:
            schema:
              type: string
              format: binary
      responses:
        '200':
          description: File updated successfully, returns corrected path
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PutConnectorFileResponseDto'
components:
  schemas:
    PutConnectorFileResponseDto:
      type: object
      properties:
        path:
          type: string
          description: The actual file path where the file was saved
      required:
        - path
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````